Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class FolderType

    java.lang.Object
      com.compoze.domino.FolderType

All Implemented Interfaces:
  java.io.Serializable

public class FolderType
extends java.lang.Object
implements java.io.Serializable

This class stores the values for a 'folder type'. The internationalizable string values are stored in the `domino_resources.properties` file (accessed through `DominoProperties`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static FolderType` | `DRAFTS` This value represents the 'drafts' folder.
`static FolderType` | `INBOX` This value represents the 'inbox' folder.
`static FolderType` | `PERSONAL` This value represents the 'personal' folder.
`static FolderType` | `SENT` This value represents the 'sent' folder.
`static int` | `STORE_VALUE_DRAFTS` This value represents the 'drafts' store value.
`static int` | `STORE_VALUE_INBOX` This value represents the 'inbox' store value.
`static int` | `STORE_VALUE_PERSONAL` This value represents the 'personal' store value.
`static int` | `STORE_VALUE_SENT` This value represents the 'sent' store value.
`static int` | `STORE_VALUE_TRASH` This value represents the 'trash' store value.
`static FolderType` | `TRASH` This value represents the 'trash' folder.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static FolderType` | `get(int iStoreValue)` Gets the folder type by its store value.
`static java.util.List` | `getList()` Gets the list of folder types.
`java.lang.String` | `getName()` Gets the name of the folder type using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the folder type using the specified locale.
`int` | `getStoreValue()` Gets the value that's used to store the folder type in the storage system.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STORE_VALUE_INBOX

    public static final int STORE_VALUE_INBOX

  This value represents the 'inbox' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_TRASH

    public static final int STORE_VALUE_TRASH

  This value represents the 'trash' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_DRAFTS

    public static final int STORE_VALUE_DRAFTS

  This value represents the 'drafts' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_SENT

    public static final int STORE_VALUE_SENT

  This value represents the 'sent' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_PERSONAL

    public static final int STORE_VALUE_PERSONAL

  This value represents the 'personal' store value.

  See Also:
    Constant Field Values

### INBOX

    public static final FolderType INBOX

  This value represents the 'inbox' folder.

### TRASH

    public static final FolderType TRASH

  This value represents the 'trash' folder.

### DRAFTS

    public static final FolderType DRAFTS

  This value represents the 'drafts' folder.

### SENT

    public static final FolderType SENT

  This value represents the 'sent' folder.

### PERSONAL

    public static final FolderType PERSONAL

  This value represents the 'personal' folder.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the folder type using the system default locale.

  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the folder type using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the folder type in the storage system.

  Returns:
    the store value

### get

    public static FolderType get(int iStoreValue)

  Gets the folder type by its store value.

  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching folder type or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of folder types.

  Returns:
    the list of `FolderType`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.